​
Select Service
ves-io-schema-shape-client_side_defense-CustomAPI-ListScripts
Published April 5, 2023 | Last modified October 28, 2026
Examples of performing client_side_defense CustomAPI ListScripts
Usecase:
List Scripts
Request:
Request using vesctl:
vesctl request rpc client_side_defense.CustomAPI.ListScripts -i request.yaml --uri /public/namespaces/system/scripts --http-method POST
where file request.yaml has following contents:
endTime: "1570244300"filters: riskLevelFilter: riskLevelStrings: - high scriptNameFilter: scriptNameStrings: - https://west.com/safe.js scriptStatusFilter: scriptStatusStrings: - Action NeededpageNumber: 1pageSize: 500startTime: "1570194000"vesctl yaml response:
scripts: []Request using curl:
curl -X 'POST' -d '{"start_time":"1570194000","end_time":"1570244300","page_size":500,"page_number":1,"filters":{"script_name_filter":{"script_name_strings":["https://west.com/safe.js"]},"risk_level_filter":{"risk_level_strings":["high"]},"script_status_filter":{"script_status_strings":["Action Needed"]}}}' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/shape/csd/namespaces/system/scripts'curl response:
HTTP/1.1 200 OKContent-Length: 125Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:28:08 GMTVary: Accept-Encoding
{ "scripts": [ ], "total_count": 0, "total_pages": 0, "page_size": 0, "page_number": 0, "next_page_token": ""}